<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Pages extends CI_Controller {
	
	public function __construct()
	{
		parent::__construct();	
		$this->load->model('m_partners');
		$this->load->model('m_channel');
		$this->load->model('m_career');
		$this->load->model('m_topup');
		$this->load->model('m_games');
		$this->load->model('m_payment');
		$this->load->model('m_promotion');
		$this->load->model('m_others');
		$this->load->model('m_news');
	}
	
	public function index()
	{
		$this->template->load('/templates/template','pages/home');
	}
	
	public function partners()
	{
		
		$data = array('active'=>'partners',
					  'list'=>$this->m_partners->showList()
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/partners',$data);
	}
	
	public function partnersadd()
	{
		$data= array('active'=>'partners',
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/partnersadd',$data);
	}
	
	public function channel()
	{
		$data= array('active'=>'channel',
					'list'=>$this->m_channel->showList()
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/channel',$data);
	}
	
	public function channeladd()
	{
		$data= array('active'=>'channel',
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/channeladd',$data);
	}
	
	public function career()
	{
		$data= array('active'=>'career',
					'list'=>$this->m_career->showList()
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/career',$data);
	}
	
	public function careeradd()
	{
		$data= array('active'=>'career',
		);
		
		$this->template->load('/templates/template','pages/companymenu','pages/careeradd',$data);
	}
	
	public function vouchertopup()
	{
		$data= array('active'=>'topup',
					'list'=>$this->m_topup->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/vouchertopup',$data);
	}
	
	public function vouchertopupadd()
	{
		$data= array('active'=>'topup',
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/vouchertopupadd',$data);
	}
	
	public function vouchergames()
	{
		$data= array('active'=>'games',
					'list'=>$this->m_games->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/vouchergames',$data);
	}
	
	public function vouchergamesadd()
	{
		$data= array('active'=>'games',
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/vouchergamesadd',$data);
	}
	
	public function payment()
	{
		$data= array('active'=>'payment',
					'list'=>$this->m_payment->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/payment',$data);
	}
	
	public function paymentadd()
	{
		$data= array('active'=>'payment',
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/paymentadd',$data);
	}
	
	public function promotion()
	{
		$data= array('active'=>'promotion',
					'list'=>$this->m_promotion->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/promotion',$data);
	}
	
	public function promotionadd()
	{
		$data= array('active'=>'promotion',
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/promotionadd',$data);
	}
	
	public function others()
	{
		$data= array('active'=>'others',
					'list'=>$this->m_others->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/others',$data);
	}
	
	public function othersadd()
	{
		$data= array('active'=>'others',
					'list'=>$this->m_others->showList()
		);
		
		$this->template->load('/templates/template','pages/productsmenu','pages/othersadd',$data);
	}
	
	public function news()
	{
		$data= array('active'=>'news',
					'list'=>$this->m_news->showList()
		);
		
		$this->template->load('/templates/template','pages/newsmenu','pages/news',$data);
	}
	
	public function newsadd()
	{	
		$data= array('active'=>'news',
		);
		
		$this->template->load('/templates/template','pages/newsmenu','pages/newsadd',$data);
	}
	
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */